<?php
session_start();
$usuario = $_SESSION['rut'];
$perfil = $_SESSION['perfil'];
include '../../conexion/conn.php';
$page = isset($_POST['page']) ? intval($_POST['page']) : 1;
$rows = isset($_POST['rows']) ? intval($_POST['rows']) : 500;
	$offset = ($page-1)*$rows;
	$result = array();
	  
	/*if(isset($_POST['usuario_rut_filtro'])){$usuario_rut_filtro = $_POST['usuario_rut_filtro'];}else{$usuario_rut_filtro = "";}  
	if(isset($_POST['usuario_nombre_filtro'])){$usuario_nombre_filtro = $_POST['usuario_nombre_filtro'];}else{$usuario_nombre_filtro = "";}  
	if(isset($_POST['usuario_tipo_filtro'])){$usuario_tipo_filtro = $_POST['usuario_tipo_filtro'];}else{$usuario_tipo_filtro = "";}  
    if(isset($_POST['usuario_estado_filtro'])){$usuario_estado_filtro = $_POST['usuario_estado_filtro'];}else{$usuario_estado_filtro = "";}  
	if(isset($_POST['perfilFiltro'])){$perfilFiltro = $_POST['perfilFiltro'];}else{$perfilFiltro = "";}  
	*/
	
	
	
	
	/*$strFiltroEstado="";
	$strFiltroTipo="";
	$strFiltroPerfil="";
	if ($usuario_estado_filtro!=''){$strFiltroEstado="and usuario.usuario_estado = '$usuario_estado_filtro'";}
	if ($usuario_tipo_filtro!=''){$strFiltroTipo="and usuario.usuario_tipo = '$usuario_tipo_filtro'";}
	if ($perfilFiltro!=''){$strFiltroPerfil="and tipousuario.tipousuario_nombre = '$perfilFiltro'";}
	
	$where = "usuario.usuario_rut like '%$usuario_rut_filtro%' and usuario.usuario_nombre like '%$usuario_nombre_filtro%' ".$strFiltroEstado." ".$strFiltroPerfil." ".$strFiltroTipo;  */
	
	$rs = mysql_query("SELECT * FROM usuario_detalle_exportador WHERE usuario_rut='$usuario'");   
	if($row = mysql_fetch_array($rs)){
		$exportador_cod_usu=$row['exportador_cod'];
	}

	if($perfil=="ADMINISTRADOR"){
		$rs = mysql_query("SELECT COUNT(*) FROM especies");
		$row = mysql_fetch_row($rs);
		$result["total"] = $row[0];
	
		$rs = mysql_query("SELECT * FROM especies ORDER BY especie_nombre ASC LIMIT $offset,$rows");
	}else if($perfil=="CLIENTE" || $perfil=="INSPECTOR"){
		$rs = mysql_query("SELECT COUNT(*) FROM especies WHERE exportador_cod='$exportador_cod_usu'");
		$row = mysql_fetch_row($rs);
		$result["total"] = $row[0];
	
		$rs = mysql_query("SELECT * FROM especies WHERE exportador_cod='$exportador_cod_usu' ORDER BY especie_nombre ASC LIMIT $offset,$rows");
	}







	
		
	
	
	$items = array();
	while($row = mysql_fetch_array($rs)){
		$arrusu = array('especie_cod'=>$row['especie_cod'], 'especie_nombre'=>$row['especie_nombre'], 'especie_estado'=>$row['especie_estado'], 'exportador_cod'=>$row['exportador_cod']);
				array_push($items,$arrusu);
	}
	$result["rows"] = $items;
	mysql_close();
	echo json_encode($result);

?>